package com.blue.clock;
import android.bluetooth.BluetoothAdapter;
import com.xunmingiot.blesdk.ble.BleLockListener;
import com.xunmingiot.blesdk.ble.OpenApi;
import androidx.appcompat.app.AppCompatActivity;

import java.util.Map;

public class MainActivity extends AppCompatActivity {
    private static final String TAG = "MainActivity";


    private final BleLockListener bleLockListener = new BleLockListener() {
        @Override
        public void onReadBleLockStatus(Map<String, String> res) {

        }

        @Override
        public void onUnlock(Map<String, String> res) {

        }

        @Override
        public void onFail(Map<String, String> res) {

        }

        @Override
        public void onReadConfig(Map<String, String> res) {

        }

        @Override
        public void onSetConfig(Map<String, String> res) {

        }

        @Override
        public void onSetPassword(Map<String, String> res) {

        }
    };
    public void initBlueTooth(Map<String,String> obj){

     }
    public void onClick(int view,String mac, String pwd,String password) {

        switch (view) {
            case 1:
                //获取mac和pwd
                // 1. mac地址
                // 2. password
                // 3. bleLockListener
                // 4. 扫描超时时间(ms) 可不传默认25s
                // 5. config 配置(16进制字符串20位)
                // 6. 新旧密码8位字母/数字，区分大小写


                OpenApi.openLock(this, mac, pwd, bleLockListener, 10000);
                OpenApi.getLockStatus(this, mac, password, bleLockListener);
                OpenApi.getLockConfig(this, mac, password, bleLockListener);
                String config = "11044C100A000103200B";
                OpenApi.setLockConfig(this, mac, password, config, bleLockListener);
                String oldPwd_1 = "11111111";
                String newPwd_1 = "00000000";
                OpenApi.setLockPassword(this, mac, oldPwd_1, newPwd_1, bleLockListener);
        }
    }

    // 检查权限
    private String isMac(String mac) {
        if (BluetoothAdapter.checkBluetoothAddress(mac)) {
            return mac;
        } else {
            return null;
        }
    }
}